Last Comment Bug 342205 - Sidebar component throws exceptions and leaks install directory
: Sidebar component throws exceptions and leaks install directory
Status: RESOLVED FIXED
fixed-seamonkey1.0.3
: fixed-seamonkey1.1a, fixed1.8.0.5
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Daniel Veditz [:dveditz]
:
:
Mentors:
Depends on: 268370
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 13:46 PDT by Daniel Veditz [:dveditz]
Modified: 2006-08-17 14:30 PDT (History)
3 users (show)
dveditz: blocking‑seamonkey1.0.3+
kairo: blocking‑seamonkey1.1a+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
merged firefox patch from bug 268370 (1023 bytes, patch)
2006-06-20 13:59 PDT, Daniel Veditz [:dveditz]
dveditz: review+
dveditz: superreview+
dveditz: approval1.8.0.5+
kairo: approval‑seamonkey1.0.3+
csthomas: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Daniel Veditz [:dveditz] 2006-06-20 13:46:11 PDT
This bug is a placeholder for the Suite version of bug 268370, the only known instance of bug 267645 (leaking install directory via component exceptions). The Suite version of the Secunia advisory is http://secunia.com/advisories/20256/

The patch in attachment 224811 [details] [diff] [review] looks like it would apply to the xpfe/components/sidebar/src/nsSidebar.js copy without change.
Comment 1 Daniel Veditz [:dveditz] 2006-06-20 13:47:15 PDT
Presuming this should block the next SeaMonkey release
Comment 2 Daniel Veditz [:dveditz] 2006-06-20 13:59:47 PDT
Created attachment 226396 [details] [diff] [review]
merged firefox patch from bug 268370

Carrying over reviews and approval from Firefox equivalent bug, requesting approval for the SeaMonkey-only version.

I assume you guys might prefer this simple version on the 1.8 branch and trunk rather than Gavin's full "localize sidebar" patch from bug 338989 (which might not match the SeaMonkey sidebar), but if you want that instead--and have someone to do it--go ahead and deny approval for seamonkey1.1
Comment 3 Ian Neal 2006-06-20 16:08:52 PDT
Comment on attachment 226396 [details] [diff] [review]
merged firefox patch from bug 268370

first a=me for 1.0.3
Comment 4 Robert Kaiser 2006-06-20 17:27:19 PDT
Comment on attachment 226396 [details] [diff] [review]
merged firefox patch from bug 268370

We sure want this version on 1.8.0 branch, need to discuss about 1.8 and trunk with other devs though...
Comment 5 Daniel Veditz [:dveditz] 2006-06-20 23:53:12 PDT
Fix checked in to the 1.8.0 branch
Comment 6 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-07-01 08:27:18 PDT
Comment on attachment 226396 [details] [diff] [review]
merged firefox patch from bug 268370

a=me for 1.1a
Comment 7 Robert Kaiser 2006-07-07 02:56:20 PDT
Has this landed anywhere else then 1.8.0 branch?

If not, it probably should land on both trunk and 1.8 branch, so that the problem is fixed, we can always go and port a better solution later, if wanted/needed, right?
Comment 8 Daniel Veditz [:dveditz] 2006-07-07 15:17:55 PDT
This didn't land anywhere else pending some kind of decision on the 1.8/trunk fix and the fact that my default queries weren't looking for seamonkey-approved patches (sorry about that). I agree it's probably better to go ahead and land this rather than wait for something better to come along.
Comment 9 Robert Kaiser 2006-08-04 13:26:54 PDT
Dan, it's your patch, so could you please go ahead and check it in on both trunk and 1.1 branch?
We really want to have this fixed in upcoming releases.
Comment 10 Daniel Veditz [:dveditz] 2006-08-17 14:30:10 PDT
Fixed on 1.8 branch and trunk

Note You need to log in before you can comment on or make changes to this bug.